"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const pipcook_python_node_1 = require("@pipcook/pipcook-python-node");
const bayesianModelEvaluate = (data, model, args) => __awaiter(void 0, void 0, void 0, function* () {
    const { model: classifier } = model;
    const { feature_list, text_list } = model.extraParams;
    let result;
    yield pipcook_python_node_1.Python.scope('bayes_text_classification', (python) => __awaiter(void 0, void 0, void 0, function* () {
        const _ = python.nA;
        const test_accuracy = classifier.score(feature_list[1], text_list[4]);
        result = yield python.evaluate(test_accuracy);
    }));
    return {
        accuracy: result
    };
});
exports.default = bayesianModelEvaluate;
//# sourceMappingURL=index.js.map